Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.request
Class SetPublisherAssertions

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.request.SetPublisherAssertions

All Implemented Interfaces:
  java.io.Serializable

public class SetPublisherAssertions
extends UDDIElement

Represents the set_publisherAssertions element within the UDDI version 2.0 schema. This class contains the following types of methods:

- A constructor that passes the required fields.
- A Constructor that will instantiate the object from an appropriate XML DOM element.
- Get/set methods for each attribute that this element can contain.
- A get/setVector method is provided for sets of attributes.
- A SaveToXML method that serializes this class within a passed in element.

Typically, this class is used to construct parameters for, or interpret responses from, methods in the UDDIProxy class.

Element description:

This message is used to manage all of the tracked relationship assertions associated with an individual publisher account. The full set of assertions associated with a publisher is effectively replaced whenever this message is used. When this message is processed, the UDDI registry examines the publisher assertions for a given publisher account. It examines the assertions that were active prior to this API call and adds any new assertions that were not present to the assertions of the publisher account. Consequently, new relationships may be activated (e.g., status changed to complete), and existing relationships may be deactivated.

Author:
  Ravi Trivedi (ravi_trivedi@hp.com), Ozzy (ozzy@hursley.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `UDDI_TAG`

Fields inherited from class org.uddi4j.UDDIElement
`GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`SetPublisherAssertions()` Default constructor.
`SetPublisherAssertions(org.w3c.dom.Element base)` Construct the object from a DOM tree.
`SetPublisherAssertions(java.lang.String authInfo, java.util.Vector pubAssertVector)` Construct the object with required fields.

Method Summary
`AuthInfo` | `getAuthInfo()`
`java.lang.String` | `getAuthInfoString()`
`java.util.Vector` | `getPublisherAssertionVector()`
`void` | `saveToXML(org.w3c.dom.Element parent)` Save an object to the DOM tree.
`void` | `setAuthInfo(AuthInfo s)`
`void` | `setAuthInfo(java.lang.String s)`
`void` | `setPublisherAssertionVector(java.util.Vector pubAssertVector)`

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static final java.lang.String UDDI_TAG

See Also:
  Constant Field Values

### base

    protected org.w3c.dom.Element base

Constructor Detail

### SetPublisherAssertions

    public SetPublisherAssertions()

  Default constructor. Avoid using the default constructor for validation. It does not validate required fields. Instead, use the required fields constructor to perform validation.

### SetPublisherAssertions

    public SetPublisherAssertions(org.w3c.dom.Element base)
                           throws UDDIException

  Construct the object from a DOM tree. Used by UDDIProxy to construct an object from a received UDDI message.

Parameters:
  `base` - Element with the name appropriate for this class.
Throws:
  `UDDIException` - Thrown if DOM tree contains a SOAP fault or a disposition report indicating a UDDI error.

### SetPublisherAssertions

    public SetPublisherAssertions(java.lang.String authInfo,
                                  java.util.Vector pubAssertVector)

  Construct the object with required fields.

Parameters:
  `authInfo` - String
  `pubAssertVector` - Vector

Method Detail

### setPublisherAssertionVector

    public void setPublisherAssertionVector(java.util.Vector pubAssertVector)

### getPublisherAssertionVector

    public java.util.Vector getPublisherAssertionVector()

### getAuthInfo

    public AuthInfo getAuthInfo()

### setAuthInfo

    public void setAuthInfo(AuthInfo s)

### getAuthInfoString

    public java.lang.String getAuthInfoString()

### setAuthInfo

    public void setAuthInfo(java.lang.String s)

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Save an object to the DOM tree. Used to serialize an object to a DOM tree, usually to send a UDDI message.
  Used by UDDIProxy.

  Specified by:
    `saveToXML` in class `UDDIElement`
  Parameters:
    `parent` - Object will serialize as a child element under the passed in parent element.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.